Subject: Re: [dhcwg] Character Encoding of DNS domain option (option 15) RFC 2132

From: VithalPrasad Gaitonde <[email-masked]>
Date: Wed, 2 Nov 2011 18:53:53 +0530

Hi Marc, Ted,

Can you please respond to the below.

Thanks,
Prasad

On Mon, Oct 31, 2011 at 6:43 PM, VithalPrasad Gaitonde <[email-masked]>wrote:

> Thanks Marc. Would the same apply to the Domain Name field in option 81
> defined in RFC 4702 as well.
>
> Prasad
>
> On Fri, Oct 28, 2011 at 6:06 PM, Marc Blanchet <[email-masked]>wrote:
>
>>
>> Le 2011-10-28 à 04:22, VithalPrasad Gaitonde a écrit :
>>
>> > Thanks for the responses, Marc, Ted.
>> >
>> > Does that imply then that in case internationalized domain names,
>> punycode should be used ?
>>
>> punycode encoding is used for internationalized domain names. the
>> punycode encoded idn conforms to the restricted ascii. So from dhcp, dns,
>> ... point of view, an idn is just a regular domain name. therefore, the
>> dhcp option should have restricted ascii, whatever the domain name is a
>> normal one or an idn.
>>
>> Marc.
>>
>>
>> >
>> > Regards,
>> > Prasad
>> >
>> > On Fri, Oct 28, 2011 at 12:05 AM, Marc Blanchet <
>> [email-masked]> wrote:
>> > to me, you are just looking into big troubles if you use a character
>> encoding for DNS names in DHCP that is different than the standardized
>> character encoding for DNS names everywhere else. so I would stick to
>> restricted ascii. no utf8. nothing else.
>> >
>> > Marc.
>> >
>> > Le 2011-10-27 à 13:01, VithalPrasad Gaitonde a écrit :
>> >
>> > > I am still a bit confused here...
>> > > To ensure interoperability with standards compliant DHCP clients,
>> what is the character encoding that the server should use...and the
>> converse.
>> > >
>> > > Or are we saying that interoperability is broken here as the standard
>> is silent on the issue leaving implementations to take a possibly different
>> approach and thereby be non-interoperable.
>> > >
>> > > Thanks,
>> > > Prasad
>> > >
>> > >
>> > > On Mon, Oct 24, 2011 at 1:19 AM, Marc Blanchet <
>> [email-masked]> wrote:
>> > > I read it, but maybe I misunderstood. Anyway, back to the original
>> question, my point is that the character encoding of DNS domain option in
>> dhcp must be restricted ascii (and that includes the support of idn).
>> > >
>> > > Marc.
>> > >
>> > > Le 2011-10-23 à 15:36, Ted Lemon a écrit :
>> > >
>> > > > On Oct 23, 2011, at 3:30 PM, Marc Blanchet wrote:
>> > > >> don't agree about UTF-8. idns are encoded on the wire as normal
>> domain names, i.e. restricted ascii.
>> > > >
>> > > > Clearly you didn't read what I said in the first paragraph.   :)
>> As you say, for DNS you can't use UTF-8.
>> > > >
>> > >
>> > >
>> >
>> >
>>
>>
>